rename packages/ to recipes/ per earlier agreement
[openembedded.git] / recipes / bitlbee / files / init-script
diff --git a/recipes/bitlbee/files/init-script b/recipes/bitlbee/files/init-script
new file mode 100644 (file)
index 0000000..3ec3fdf
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+case "$1" in
+    start)
+       echo "Starting bitlbee daemon"
+       start-stop-daemon --start --startas BITLBEED_EXEC \
+               -c nobody:nogroup  --exec BITLBEED_EXEC -- \
+               BITLBEED_OPTS /usr/sbin/bitlbee
+       [ $? -eq 0 ] || echo $? "Failed to start bitlbee daemon"
+    ;;
+
+    stop)
+        echo "Stopping bitlbee daemon"
+       start-stop-daemon --stop --signal 9 \
+                        --exec BITLBEED_EXEC
+       [ $? -eq 0 ] || echo $? "Failed to stop bitlbee daemon"
+    ;;
+
+    restart)
+       $0 stop
+       sleep 1
+       $0 start
+    ;;
+
+    *)
+        echo "usage: $0 { start | stop }"
+       exit 1
+    ;;
+esac
+
+exit 0